import request from '@/utils/request'

// 能源分配管理列表
export function getDistributionList(data) {
    return request({
        url: '/energy/setEnergyAllocation/findEnergyAllocation',
        method: 'post',
        data
    })
}

// 新增能源分配管理
export function addDistribution(data) {
    return request({
        url: '/energy/setEnergyAllocation/add',
        method: 'post',
        data
    })
}

// 编辑能源分配管理
export function editDistribution(data) {
    return request({
        url: '/energy/setEnergyAllocation/edit',
        method: 'put',
        data
    })
}

// 删除能源分配管理
export function delDistribution(query) {
    return request({
        url: '/energy/setEnergyAllocation/deleteById',
        method: 'delete',
        params: query
    })
}

// // 能源分配管理左侧列表
// export function getDistributionLeft(query) {
//   return request({
//     url: '/iot/device/shortList',
//     method: 'get',
//     params: query
//   })
// }
// 能源分配管理左侧列表
export function getDistributionLeft(query) {
    return request({
        url: '/energy/setEnergyAllocation/showEnergyType',
        method: 'get',
        params: query
    })
}

// 能源分配管理右侧列表
export function getDistributionRight(query) {
    return request({
        url: '/workshop/shortWorkshop',
        method: 'get',
        params: query
    })
}
